export declare class EchartsUtils {
    /**
     * 支持多系列`series` 仅支持单series描述单图形的图表，类似基础柱状图
     * @param data
     * @param series
     * @returns
     */
    static cloneSeries(data: any[], series: any): any;
    /**
     * 解析Dataset数据
     * @param keyData
     * @param dimensionsData
     * @returns
     */
    static parseDataset(keyData: any[], dimensionsData?: string[]): {
        dimensions: string[];
        source: unknown[];
    };
    /**
     * 解析其他数据
     * @param keyData
     * @param basicOption
     * @returns
     */
    static parseOtherData(keyData: any[], basicOption: any): any;
    /**
     * 解析散点图数据
     * @param keyData
     * @returns
     */
    static parseScatterData(keyData: any[]): {
        source: number[][];
    };
}
